export const sortResults = (arr, maxResults = 0) => {
    const res = [];

    for (let i = 0, iMax = arr.length; i < iMax; i++) {
        // Skip box template file
        if (arr[i].relativePath === 'boxes/box-template.md') continue;

        res.push(arr[i]);
    }

    const sorted = res.sort((a, b) => {
        const isBoxA = a.path.substring(0, 7) === '/boxes/';
        const isBoxB = b.path.substring(0, 7) === '/boxes/';

        if (isBoxA && !isBoxB) return 1;
        if (isBoxB && !isBoxA) return -1;

        return 0;
    });

    return maxResults > 0 ? sorted.slice(0, maxResults) : sorted;
}

export const extractCategory = (path) => {
    const parts = path.split('/');
    return parts[parts.length - 2];
}

export const extractCategoryName = (path) => {
    const parts = path.split('/');
    const isBoxes = path.substring(0, 7) === '/boxes/';
    const category = parts[parts.length - 2];

    if (isBoxes) {
        return category.replace(/-/, '/').replace(/-/g, ' ');
    }

    return category.replace(/-/g, ' ');
}
